<?php
  $base_url = $request->getBaseUrl(); 
  //Nom du fichier export
  $sitefouille_nom_secure = preg_replace('/ /', '_', strtolower($sitefouille_info->get('nom','Accent')) );
  
  /* Tableau des Eléments Recueillis par etat */

$etatNA = utf8_encode('Non déterminé');
$data_er_etat =  array();
foreach ($etat_elementrecueillis as $er_etat ) {
	if($er_etat->get('etat') == "NA"){
		$temp = array($etatNA,$er_etat->get('nb_er'));
	}
	else{
		$data_er_etat[] = array($er_etat->get('etat'), $er_etat->get('nb_er')) ;
	}
} 
if(!empty($temp)){
	array_push($data_er_etat,$temp);
}
  $json_er_etat =  json_encode($data_er_etat, JSON_NUMERIC_CHECK | JSON_UNESCAPED_SLASHES | JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE) ;
  
  // identifiant unique de la div d'affichage 
  $unique_div = rand();
?>
<script type="text/javascript">
  var json_er_etat = <?php  echo $json_er_etat  ; ?> ; 

  $(function () {
            // Build the chart
        $('#container_er_etat_pie_<?php echo $unique_div  ; ?>').highcharts({
            credits: {
              enabled: false
            },
            chart: {
                plotRetourgroundColor: null,
                plotBorderWidth: null,
                plotShadow: false
            },
            
            title: { text: null },
            tooltip: { 
              //pointFormat: '{series.name}: <b>{point.y}</b>'
              // pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>' // valeur % numerique avec decimale  
            },
            legend:{
            	enabled: true,
            	floating: true,
            	align: 'right',
            	verticalAlign:'top'
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    dataLabels: { enabled: false },
                    showInLegend: true,
                    center:["32%","55%"]
                }
            },
            series: [{
                type: 'pie',
                name: 'Nombres',
                data: json_er_etat,
                dataLabels: { enabled: false }
            }],
          exporting: {
            enabled: false,
            filename: '<?php  echo $sitefouille_nom_secure.'_er_etat_pie-charts'  ; ?>'
          }
        });
        $('a').click(function(){ 
        	setTimeout(function(){
        		$('#container_er_etat_pie_<?php echo $unique_div  ; ?>').highcharts().reflow();
        		},100);            	            	
        });
});
 
</script>



<!-- Rappel Titre Onglets -->
<div class="col-md-6">
  <div class="panel panel-default">
    <div class="panel-body">
      <div id="er_etat_pie">
			<div id="container_er_etat_pie_<?php echo $unique_div  ; ?>" class="container_stats">
			</div>                                  
      </div>
    </div>
  </div>
</div>
<div class="col-md-6">
  <div class="panel panel-default">
    <div class="panel-body">
      <div id="er_etat_list" class="container_liste">
      	<table class="container_list">
      		<?php
    	 	for($i=0;$i<count($data_er_etat);$i++){
				echo "<tr><td><b> ".$data_er_etat[$i][0]."</b></td><td>".$data_er_etat[$i][1]." </td></tr>";
			} 
			?>
		</table>
      </div>
    </div>
    
  </div>
</div>
